function littleJohnLog(logString)
%LITTLEJOHNLOG - this function writes the provided string to a file that
%can be retrieved from the client while the job is running.
 
%Figure out the job directory
storageLocation = getenv( 'MDCE_STORAGE_LOCATION' );
jobLocation = getenv( 'MDCE_JOB_LOCATION' );
j = getCurrentJob;
jName = get(j,'Name');
 
logFile = fullfile(storageLocation,jobLocation,[jName,'.cacscheduler.ou']);
%Create string first so we have it ready
s = sprintf('%s -- %s\n', datestr(now),logString);
 
fid = fopen(logFile,'a+');
fprintf(fid,s);
fclose(fid);
