function cac_addpath(override)
CACHome = fileparts(which('cac_runtests'));
examples = fullfile(CACHome,'examples');
pct = fullfile(CACHome,'PCT');
contrib = fullfile(CACHome,'contrib');
sf = java.io.File('startup.m');
addpath(CACHome);
addpath(pct);
addpath(contrib);

startuplines = {sprintf('java.lang.System.setProperty(''sun.security.ssl.allowUnsafeRenegotiation'',''true'');\n'), sprintf('addpath(''%s'');\n',CACHome), sprintf('addpath(''%s'');\n',pct), sprintf('addpath(''%s'');\n',contrib)};
startupcontents = containers.Map(startuplines,zeros(1,length(startuplines)));

    
if sf.exists() | nargin == 1
    if ~nargin==1
        missing = 1;
        fid = fopen('startup.m','r');
        while ~feof(fid)
            line = fgets(fid);
            for i=1:length(startupcontents)
                if startupcontents.isKey(line)
                    startupcontents(line) = 1;
                end
            end
            
        end
        % verify all true
        if ~all(cell2mat(values(startupcontents)))
            fprintf(['startup.m exists\nPlease add to startup.m\n %%START\n\' ...
             'n']);
            for i=1:length(startupcontents)
               
                if ~startupcontents(startuplines{i})
                    fprintf('%s',startuplines{i});
                end
            end
            fprintf('\n %% END\n');
            fprintf('\n\nto edit run >> edit startup\n');
            input('press any key to continue\n','s');
        else
            fprintf('startup.m already updated\n');
        end
    end
else
    fprintf('creating startup.m\n');
    fout = fopen('startup.m','w');
    fprintf(fout,'java.lang.System.setProperty(''sun.security.ssl.allowUnsafeRenegotiation'',''true'');\n');
    fprintf(fout,'addpath(''%s'');\n',CACHome);
    fprintf(fout,'addpath(''%s'');\n',pct);
    fprintf(fout,'addpath(''%s'');\n',contrib);
    fclose(fout);
end